<?php

/*for repeter feild */

if (class_exists('WP_Customize_control')) {

class Newie_Repeater_Controler extends WP_Customize_Control
{
/**
* The control type.
*
* @access public
* @var string
*/
public $type = 'repeater';

public $newie_box_label = '';

public $newie_box_add_control = '';



private $cats = '';

/**
* The fields that each container row will contain.
*
* @access public
* @var array
*/
public $fields = array();

/**
* Repeater drag and drop controler
*
* @since  1.0.0
*/
public function __construct($manager, $id, $args = array(), $fields = array())
{
$this->fields = $fields;
$this->newie_box_label = $args['newie_box_label'];
$this->newie_box_add_control = $args['newie_box_add_control'];
$this->cats = get_categories(array('hide_empty' => false));
parent::__construct($manager, $id, $args);
}

public function render_content()
{

$values = json_decode($this->value());
?>
<span class="customize-control-title"><?php echo esc_html($this->label); ?></span>

<?php if ($this->description) { ?>
    <span class="description customize-control-description">
            <?php echo wp_kses_post($this->description); ?>
            </span>
<?php } ?>

<ul class="newie-repeater-field-control-wrap">
    <?php
    $this->newie_get_fields();
    ?>
</ul>

<input type="hidden" <?php esc_attr($this->link()); ?> class="newie-repeater-collector"
       value="<?php echo esc_attr($this->value()); ?>"/>
<button type="button"
        class="button newie-add-control-field"><?php echo esc_html($this->newie_box_add_control); ?></button>
<?php
}

private function newie_get_fields()
{
    $fields = $this->fields;
    $values = json_decode($this->value());

  

    if (is_array($values)) {
        
        foreach ($values as $value) {

            ?>
            <li class="newie-repeater-field-control">
                <h3 class="newie-repeater-field-title"><?php echo esc_html($this->newie_box_label); ?></h3>

                <div class="newie-repeater-fields">
                    <?php
                    foreach ($fields as $key => $field) {
                        $class = isset($field['class']) ? $field['class'] : '';
                        ?>
                        <div
                            class="newie-fields newie-type-<?php echo esc_attr($field['type']) . ' ' . $class ?>">

                            <?php
                            $label = isset($field['label']) ? $field['label'] : '';
                            $description = isset($field['description']) ? $field['description'] : '';
                            if ($field['type'] != 'checkbox') { ?>
                                <span class="customize-control-title"><?php echo esc_html($label); ?></span>
                                <span
                                    class="description customize-control-description"><?php echo esc_html($description) ?></span>
                                <?php
                            }

                            $new_value = isset($value->$key) ? $value->$key : '';
                            $default = isset($field['default']) ? $field['default'] : '';

                            switch ($field['type']) {
                                case 'text':
                                    echo '<input data-default="' . esc_attr($default) . '" data-name="' . esc_attr($key) . '" type="text" value="' . esc_attr($new_value) . '"/>';
                                    break;

                                case 'textarea':
                                    echo '<textarea data-default="' . esc_attr($default) . '"  data-name="' . esc_attr($key) . '">' . esc_textarea($new_value) . '</textarea>';
                                    break;

                                case 'upload':
                                    $image = $image_class = "";
                                    if ($new_value) {
                                        $image = '<img src="' . esc_url($new_value) . '" style="max-width:100%;"/>';
                                        $image_class = ' hidden';
                                    }
                                    echo '<div class="newie-fields-wrap">';
                                    echo '<div class="attachment-media-view">';
                                    echo '<div class="placeholder' . $image_class . '">';
                                    esc_html__('No image selected', 'newie');
                                    echo '</div>';
                                    echo '<div class="thumbnail thumbnail-image">';
                                    echo $image;
                                    echo '</div>';
                                    echo '<div class="actions clearfix">';
                                    echo '<button type="button" class="button newie-delete-button align-left">' . esc_html__('Remove', 'newie') . '</button>';
                                    echo '<button type="button" class="button newie-upload-button alignright">' . esc_html__('Select Image', 'newie') . '</button>';
                                    echo '<input data-default="' . esc_attr($default) . '" class="upload-id" data-name="' . esc_attr($key) . '" type="hidden" value="' . esc_attr($new_value) . '"/>';
                                    echo '</div>';
                                    echo '</div>';
                                    echo '</div>';
                                    break;

                                case 'category':
                                    echo '<select data-default="' . esc_attr($default) . '"  data-name="' . esc_attr($key) . '">';
                                    echo '<option value="0">' . esc_html__('Select Category', 'newie') . '</option>';
                                    echo '<option value="-1">' . esc_html__('Latest Posts', 'newie') . '</option>';
                                    foreach ($this->cats as $cat) {
                                        printf('<option value="%s" %s>%s</option>', esc_attr($cat->term_id), selected($new_value, $cat->term_id, false), esc_html($cat->name));
                                    }
                                    echo '</select>';
                                    break;

                                case 'select':
                                    $options = $field['options'];
                                    echo '<select  data-default="' . esc_attr($default) . '"  data-name="' . esc_attr($key) . '">';
                                    foreach ($options as $option => $val) {
                                        printf('<option value="%s" %s>%s</option>', esc_attr($option), selected($new_value, $option, false), esc_html($val));
                                    }
                                    echo '</select>';
                                    break;

                                case 'checkbox':
                                    echo '<label>';
                                    echo '<input data-default="' . esc_attr($default) . '" value="' . $new_value . '" data-name="' . esc_attr($key) . '" type="checkbox" ' . checked($new_value, 'yes', false) . '/>';
                                    echo esc_html($label);
                                    echo '<span class="description customize-control-description">' . esc_html($description) . '</span>';
                                    echo '</label>';
                                    break;

                                case 'colorpicker':
                                    echo '<input data-default="' . esc_attr($default) . '" class="newie-color-picker" data-alpha="true" data-name="' . esc_attr($key) . '" type="text" value="' . esc_attr($new_value) . '"/>';
                                    break;

                                case 'selector':
                                    $options = $field['options'];
                                    echo '<div class="selector-labels">';
                                    foreach ($options as $option => $val) {
                                        $class = ($new_value == $option) ? 'selector-selected' : '';
                                        echo '<label class="' . $class . '" data-val="' . esc_attr($option) . '">';
                                        echo '<img src="' . esc_url($val) . '"/>';
                                        echo '</label>';
                                    }
                                    echo '</div>';
                                    echo '<input data-default="' . esc_attr($default) . '" type="hidden" value="' . esc_attr($new_value) . '" data-name="' . esc_attr($key) . '"/>';
                                    break;

                                case 'radio':
                                    $options = $field['options'];
                                    echo '<div class="radio-labels">';
                                    foreach ($options as $option => $val) {
                                        echo '<label>';
                                        echo '<input value="' . esc_attr($option) . '" type="radio" ' . checked($new_value, $option, false) . '/>';
                                        echo $val;
                                        echo '</label>';
                                    }
                                    echo '</div>';
                                    echo '<input data-default="' . esc_attr($default) . '" type="hidden" value="' . esc_attr($new_value) . '" data-name="' . esc_attr($key) . '"/>';
                                    break;

                                case 'switch':
                                    $switch = $field['switch'];
                                    $switch_class = ($new_value == 'on') ? 'switch-on' : '';
                                    echo '<div class="onoffswitch ' . $switch_class . '">';
                                    echo '<div class="onoffswitch-inner">';
                                    echo '<div class="onoffswitch-active">';
                                    echo '<div class="onoffswitch-switch">' . esc_html($switch["on"]) . '</div>';
                                    echo '</div>';
                                    echo '<div class="onoffswitch-inactive">';
                                    echo '<div class="onoffswitch-switch">' . esc_html($switch["off"]) . '</div>';
                                    echo '</div>';
                                    echo '</div>';
                                    echo '</div>';
                                    echo '<input data-default="' . esc_attr($default) . '" type="hidden" value="' . esc_attr($new_value) . '" data-name="' . esc_attr($key) . '"/>';
                                    break;

                                case 'range':
                                    $options = $field['options'];
                                    $new_value = $new_value ? $new_value : $options['val'];
                                    echo '<div class="newie-range-slider" >';
                                    echo '<div class="range-input" data-defaultvalue="' . esc_attr($options['val']) . '" data-value="' . esc_attr($new_value) . '" data-min="' . esc_attr($options['min']) . '" data-max="' . esc_attr($options['max']) . '" data-step="' . esc_attr($options['step']) . '"></div>';
                                    echo '<input  class="range-input-selector" type="text" value="' . esc_attr($new_value) . '"  data-name="' . esc_attr($key) . '"/>';
                                    echo '<span class="unit">' . esc_html($options['unit']) . '</span>';
                                    echo '</div>';
                                    break;

                                case 'icon':
                                    echo '<div class="newie-selected-icon">';
                                    echo '<i class="' . esc_attr($new_value) . '"></i>';
                                    echo '<span><i class="fa fa-angle-down"></i></span>';
                                    echo '</div>';
                                    echo '<ul class="newie-icon-list clearfix">';
                                    $newie_font_awesome_icon_array = newie_font_awesome_icon_array();
                                    foreach ($newie_font_awesome_icon_array as $newie_font_awesome_icon) {
                                        $icon_class = $new_value == $newie_font_awesome_icon ? 'icon-active' : '';
                                        echo '<li class=' . $icon_class . '><i class="' . $newie_font_awesome_icon . '"></i></li>';
                                    }
                                    echo '</ul>';
                                    echo '<input data-default="' . esc_attr($default) . '" type="hidden" value="' . esc_attr($new_value) . '" data-name="' . esc_attr($key) . '"/>';
                                    break;

                                case 'multicategory':
                                    $new_value_array = !is_array($new_value) ? explode(',', $new_value) : $new_value;
                                    echo '<ul class="newie-multi-category-list">';
                                    echo '<li><label><input type="checkbox" value="-1" ' . checked('-1', $new_value, false) . '/>' . esc_html_e('Latest Posts', 'newie') . '</label></li>';
                                    foreach ($this->cats as $cat) {
                                        $checked = in_array($cat->term_id, $new_value_array) ? 'checked="checked"' : '';
                                        echo '<li>';
                                        echo '<label>';
                                        echo '<input type="checkbox" value="' . esc_attr($cat->term_id) . '" ' . $checked . '/>';
                                        echo esc_html($cat->name);
                                        echo '</label>';
                                        echo '</li>';
                                    }
                                    echo '</ul>';
                                    echo '<input data-default="' . esc_attr($default) . '" type="hidden" value="' . esc_attr(implode(',', $new_value_array)) . '" data-name="' . esc_attr($key) . '"/>';
                                    break;

                                default:
                                    break;
                            }
                            ?>
                        </div>
                        <?php
                    } ?>

                    <div class="clearfix newie-repeater-footer">
                        <div class="alignright">
                            <a class="newie-repeater-field-remove"
                               href="#remove"><?php esc_html_e('Delete', 'newie') ?></a> |
                            <a class="newie-repeater-field-close"
                               href="#close"><?php esc_html_e('Close', 'newie') ?></a>
                        </div>
                    </div>
                </div>
            </li>
            <?php
        }
    }
}

}
}









if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Newie_Customize_Category_Dropdown_Control' )):

    /**
     * Custom Control for category dropdown
     * @package newie
     * @subpackage newie
     * @since 1.0.0
     *
     */
    class Newie_Customize_Category_Dropdown_Control extends WP_Customize_Control {

        /**
         * Declare the control type.
         *
         * @access public
         * @var string
         */
        public $type = 'category_dropdown';

        /**
         * Function to  render the content on the theme customizer page
         *
         * @access public
         * @since 1.0.0
         *
         * @param null
         * @return void
         *
         */
        public function render_content()
        {
            $newie_customizer_name = 'newie_customizer_dropdown_categories_' . $this->id;;
            $newie_dropdown_categories = wp_dropdown_categories(
                array(
                    'name'              => $newie_customizer_name,
                    'echo'              => 0,
                    'show_option_none'  =>__('Select Category','newie'),
                    'option_none_value' => '0',
                    'selected'          => $this->value(),
                )
            );
           $newie_dropdown_final = str_replace( '<select', '<select ' . $this->get_link(), $newie_dropdown_categories );
            printf(
                '<label><span class="customize-control-title">%s</span> %s</label>',
                $this->label,
                $newie_dropdown_final
            );
        }
    }
    endif;


    if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Newie_Customize_Tag_Dropdown_Control' )):

    /**
     * Custom Control for tag dropdown
     * @package newie
     * @subpackage newie
     * @since 1.0.0
     *
     */
    class Newie_Customize_Tag_Dropdown_Control extends WP_Customize_Control {

        /**
         * Declare the control type.
         *
         * @access public
         * @var string
         */
        public $type = 'tag_dropdown';

        /**
         * Function to  render the content on the theme customizer page
         *
         * @access public
         * @since 1.0.0
         *
         * @param null
         * @return void
         *
         */
        public function render_content()
        {
            $newie_customizer_name = 'newie_customizer_dropdown_tags_' . $this->id;;
            $newie_dropdown_tags = wp_dropdown_categories(
                array(
                    'taxonomy'          => 'post_tag',
                    'name'              => $newie_customizer_name,
                    'echo'              => 0,
                    'show_option_none'  =>__('Select Tag','newie'),
                    'option_none_value' => '0',
                    'selected'          => $this->value(),
                )
            );
           $newie_dropdown_final = str_replace( '<select', '<select ' . $this->get_link(), $newie_dropdown_tags );
            printf(
                '<label><span class="customize-control-title">%s</span> %s</label>',
                $this->label,
                $newie_dropdown_final
            );
        }
    }
    endif;


    /**
     * A class to create a option separator in customizer section 
     *
     *@since 1.0.0
     */
    class Newie_Color_Control extends WP_Customize_Control {
        /**
         * The type of customize control being rendered.
         *
         * @since  1.0.0
         * @access public
         * @var    string
         */
        public $type = 'newie_separator';

        /**
         * Displays the control content.
         *
         * @since  1.0.0
         * @access public
         * @return void
         */
        public function render_content() {
    ?>
        <div class="newie-customize-section-wrap">
            <hr  style="height:1px; border:none; color:#adadad; background-color:#adadad;">
        </div>
    <?php
        }
    }



/**
 * Adds sanitization callback function: Strip Slashes
 * @package newie
 */
function newie_sanitize_strip_slashes($input) {
    return wp_kses_stripslashes($input);
}


/**
 * Adds sanitization callback function: Number
 * @package newie
 */
function newie_sanitize_number($input) {
    if ( isset( $input ) && is_numeric( $input ) ) {
        return $input;
    }
}



/**
 * Alpha Color Picker Customizer Control
 *
 * This control adds a second slider for opacity to the stock WordPress color picker,
 * and it includes logic to seamlessly convert between RGBa and Hex color values as
 * opacity is added to or removed from a color.
 *
 * This Alpha Color Picker is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this Alpha Color Picker. If not, see <http://www.gnu.org/licenses/>.
 */
class Newie_Alpha_Color_Control extends WP_Customize_Control {
    /**
     * Official control name.
     */
    public $type = 'alpha-color';
    /**
     * Add support for palettes to be passed in.
     *
     * Supported palette values are true, false, or an array of RGBa and Hex colors.
     */
    public $palette;
    /**
     * Add support for showing the opacity value on the slider handle.
     */
    public $show_opacity;
    /**
     * Enqueue scripts and styles.
     *
     * Ideally these would get registered and given proper paths before this control object
     * gets initialized, then we could simply enqueue them here, but for completeness as a
     * stand alone class we'll register and enqueue them here.
     */

    /**
     * Render the control.
     */
    public function render_content() {
        // Process the palette
        if ( is_array( $this->palette ) ) {
            $palette = implode( '|', $this->palette );
        } else {
            // Default to true.
            $palette = ( false === $this->palette || 'false' === $this->palette ) ? 'false' : 'true';
        }
        // Support passing show_opacity as string or boolean. Default to true.
        $show_opacity = ( false === $this->show_opacity || 'false' === $this->show_opacity ) ? 'false' : 'true';
        // Begin the output. ?>
        <label>
            <?php // Output the label and description if they were passed in.
            if ( isset( $this->label ) && '' !== $this->label ) {
                echo '<span class="customize-control-title">' . sanitize_text_field( $this->label ) . '</span>';
            }
            if ( isset( $this->description ) && '' !== $this->description ) {
                echo '<span class="description customize-control-description">' . sanitize_text_field( $this->description ) . '</span>';
            } ?>
            <input class="alpha-color-control" type="text" data-show-opacity="<?php echo $show_opacity; ?>" data-palette="<?php echo esc_attr( $palette ); ?>" data-default-color="<?php echo esc_attr( $this->settings['default']->default ); ?>" <?php $this->link(); ?>  />
        </label>
        <?php
    }
}



/**
     * A class to create a option separator in customizer section 
     *
     *@since 1.0.0
     */
    class Newie_Customize_Section_Separator extends WP_Customize_Control {
        /**
         * The type of customize control being rendered.
         *
         * @since  1.0.0
         * @access public
         * @var    string
         */
        public $type = 'newie_separator';

        /**
         * Displays the control content.
         *
         * @since  1.0.0
         * @access public
         * @return void
         */
        public function render_content() {
    ?>
        <div class="newie-customize-section-wrap">
            <label>
                <span class="newie-customize-control-title"><h4><?php echo esc_html( $this->label ); ?></h4></span>
            </label>
        </div>
    <?php
        }
    }



    