<?php

/* Hide/Show Breadcrumb Section */
$wp_customize          -> add_setting( 'newie_theme_options[hide-breadcrumb-at-home]',
 array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['hide-breadcrumb-at-home'],
        'sanitize_callback' => 'newie_sanitize_checkbox'
      ) );

$wp_customize           -> add_control('newie_theme_options[hide-breadcrumb-at-home]',
            array(
                    'label'     => __( 'Hide/Show Breadcrumb On Home Page', 'newie'),
                    'section'   => 'static_front_page',
                    'type'      => 'checkbox',
                    'priority'  => 10
                 )
    );



//Logo Options Setting Starts
$wp_customize->add_setting('newie_theme_options[site_identity]',
 array(
    'default'           => $defaults['site_identity'],
    'sanitize_callback' => 'newie_sanitize_select'
    ));

$wp_customize->add_control('newie_theme_options[site_identity]',
 array(
    'type'              => 'radio',
    'label'             => esc_html__('Logo Options', 'newie'),
    'section'           => 'title_tagline',
    'choices'           => array(
        'logo-only'     => esc_html__('Logo Only', 'newie'),
        'title-text'    => esc_html__('Title + Tagline', 'newie'),
        'logo-desc'     => esc_html__('Logo + Tagline', 'newie'),
        'logo-title'    => esc_html__('Logo + Title', 'newie'),
        'logo-title-desc'    => esc_html__('Logo + Title + Tagline', 'newie')
        )
));


//Logo Position Options Setting 
$wp_customize->add_setting('newie_theme_options[site_logo_position]',
 array(
    'default'           => $defaults['site_logo_position'],
    'sanitize_callback' => 'newie_sanitize_select'
    ));

$wp_customize->add_control('newie_theme_options[site_logo_position]',
 array(
    'type'              => 'radio',
    'label'             => esc_html__('Logo Position Options', 'newie'),
    'section'           => 'title_tagline',
    'choices'           => array(
        'left-logo-image'     => esc_html__('Left Logo Image', 'newie'),
        'center-logo-image'    => esc_html__('Center Logo Image', 'newie'),
        )
));


/**
 * Theme Option
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'newie_theme_options', 
    	array(
        		'priority'       => 200,
            	'capability'     => 'edit_theme_options',
            	'theme_supports' => '',
            	'title'          => esc_html__( 'Theme Option', 'newie' ),
             ) 
);


// Layout Section.
$wp_customize->add_section( 'general_setting',
    array(
        'title'      => esc_html__( 'General Settings', 'newie' ),
        'priority'   => 100,
        'panel'      => 'newie_theme_options',
    )
);

// Setting global_layout.
$wp_customize->add_setting( 'newie_theme_options[site_layout]',
    array(
        'default'           => $defaults['site_layout'],
        'sanitize_callback' => 'newie_sanitize_select',
    )
);
$wp_customize->add_control( 'newie_theme_options[site_layout]',
    array(
        'label'    => esc_html__( 'Site Layout', 'newie' ),
        'section'  => 'general_setting',
        'type'     => 'radio',
        'priority' => 10,
        'choices'  => array(
               
                'full-width'  => esc_html__( 'Full Width', 'newie' ),
                'boxed'       => esc_html__( 'Boxed', 'newie' ),

            ),
    )
);

  /**
     * Section separator
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'newie_theme_options[site_layout_separator]',
            array(
                'default' => '',
                'sanitize_callback' => 'sanitize_text_field',
            )
    );
    $wp_customize->add_control(new Newie_Customize_Section_Separator(
        $wp_customize, 
        'newie_theme_options[site_layout_separator]',
            array(
                'type'      => 'newie_separator',
                'section'   => 'general_setting',
                'priority'  => 10
            )                   
        )
    );


   /**
     * Upload image control for section
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_loader_image]',
            array(
               'capability' => 'edit_theme_options',
                'sanitize_callback' => 'esc_url_raw'
            )
    );

    $wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize,
        'newie_theme_options[newie_loader_image]',
            array(
                'label'      => esc_html__( 'Preloader Image', 'newie' ),
                'section'    => 'general_setting',
                'priority' => 10
            )
        )
    );


 /**
     * Section separator
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'newie_theme_options[loader_image]',
            array(
                'default' => '',
                'sanitize_callback' => 'sanitize_text_field',
            )
    );
    $wp_customize->add_control(new Newie_Customize_Section_Separator(
        $wp_customize, 
        'newie_theme_options[loader_image]',
            array(
                'type'      => 'newie_separator',
                'section'   => 'general_setting',
                'priority'  => 10
            )                   
        )
    );


/*Loder Bg Color*/
$wp_customize->add_setting( 'newie_theme_options[newie_loader_bg_color]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['newie_loader_bg_color'],
    'sanitize_callback' => 'sanitize_hex_color'
) );
$wp_customize->add_control( 'newie_theme_options[newie_loader_bg_color]', array(
    'label'     => esc_html__( 'Background Color', 'newie' ),
    'section'   => 'general_setting',
    'type'      => 'color',
    'priority'  => 10
) );

/*Loder Enable Intro Loader*/
$wp_customize->add_setting( 'newie_theme_options[newie_loder_enable]', array(
    'capability'        => 'edit_theme_options',
    'default'           => $defaults['newie_loder_enable'],
    'sanitize_callback' => 'newie_sanitize_checkbox'
) );

$wp_customize->add_control( 'newie_theme_options[newie_loder_enable]', array(
    'label'     => __( 'Enable Preloader', 'newie' ),
    'section'   => 'general_setting',
    'type'      => 'checkbox',
    'priority'  => 10
) );


// Navigation Section.
$wp_customize->add_section( 'main_navigation_option',
    array(
        'title'      => esc_html__( 'Main Navigation Options', 'newie' ),
        'priority'   => 100,
        'panel'      => 'newie_theme_options',
    )
);




/**
     * Section separator
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'newie_theme_options[main_navigation]',
            array(
                'default' => '',
                'sanitize_callback' => 'sanitize_text_field',
            )
    );
    $wp_customize->add_control(new Newie_Customize_Section_Separator(
        $wp_customize, 
        'newie_theme_options[main_navigation]',
            array(
                'type'      => 'newie_separator',
                'section'   => 'main_navigation_option',
                'priority'  => 10,
            )                   
        )
    );


// Setting Show Sticky Menu.
$wp_customize->add_setting( 'newie_theme_options[show_sticky_menu]',
    array(
        'default'           => $defaults['show_sticky_menu'],
        'sanitize_callback' => 'newie_sanitize_checkbox',
    )
);

$wp_customize->add_control( 'newie_theme_options[show_sticky_menu]',
    array(
        'label'             => esc_html__( 'Show Sticky Menu', 'newie' ),
        'section'           => 'main_navigation_option',
        'type'              => 'checkbox',
        'priority'          => 10,
    )
);




 /*adding sections for Breadcrumbs for pages/posts*/
$wp_customize->add_section( 'breadcrumb_type',
 array(
        'priority'       => 160,
        'capability'     => 'edit_theme_options',
        'title'          => __( 'Breadcrumbs Section', 'newie' ),
        'panel'          => 'newie_theme_options',
      

      ) );

/* breadcrumb_option*/
$wp_customize->add_setting( 'newie_theme_options[breadcrumb_option]',
 array(
            'capability'        => 'edit_theme_options',
            'default'           => $defaults['breadcrumb_option'],
            'sanitize_callback' => 'newie_sanitize_select'
      ) );

$wp_customize->add_control('newie_theme_options[breadcrumb_option]',
    array(
        'label' => esc_html__('Breadcrumb Options', 'newie'),
         'section'   => 'breadcrumb_type',
        'settings'  => 'newie_theme_options[breadcrumb_option]',
        'choices'   => array(
        'simple'     => esc_html__('Simple', 'newie'),
        'disable'    => esc_html__('Disable', 'newie'),
          ),
        'type' => 'select',
        'priority' => 10
    )
);



// Call back Function for feature slider


if (!function_exists('newie_is_category_slider_active')) {
        // Check for the video slider
        function newie_is_category_slider_active()
        {
            global $newie_theme_options;
            $newie_theme_options    = newie_get_theme_options(); 
            $selected_opt = $newie_theme_options['slider-options'];

            if ( $selected_opt == 'category' ) {

                return true;
            }

              return false;

          
          
        }
    }


    if (!function_exists('newie_is_tag_slider_active')) {
        // Check for the video slider
        function newie_is_tag_slider_active()
        {
            global $newie_theme_options;
            $newie_theme_options    = newie_get_theme_options(); 
            $selected_opt = $newie_theme_options['slider-options'];

            if ( $selected_opt == 'tags' ) {

          

                return true;
            }

              return false;

          
          
        }
    }



    if (!function_exists('newie_is_page_slider_active')) {
        // Check for the video slider
        function newie_is_page_slider_active()
        {
         
           
            global $newie_theme_options;
            $newie_theme_options    = newie_get_theme_options(); 
            $selected_opt = $newie_theme_options['slider-options'];

            if ( $selected_opt == 'page' ) {

          

                return true;
            }

              return false;

          
          
        }
    }



    /*adding sections for category section in front page*/
$wp_customize->add_section( 'newie-feature-category',
 array(
        'priority'       => 160,
        'capability'     => 'edit_theme_options',
        'title'          => __( 'Featured Section', 'newie' ),
        'panel'          => 'newie_theme_options',
        'description'    => __( 'Recommended image for slider is 1920*700', 'newie' )

      ) );


/* slider-options*/
$wp_customize->add_setting( 'newie_theme_options[slider-options]',
 array(
            'capability'        => 'edit_theme_options',
            'default'           => $defaults['slider-options'],
            'sanitize_callback' => 'newie_sanitize_select'
      ) );

$wp_customize->add_control('newie_theme_options[slider-options]',
    array(
        'label' => esc_html__('Slider Options', 'newie'),
        'section'   => 'newie-feature-category',
        'settings'  => 'newie_theme_options[slider-options]',
        'choices'   => array(
        ''          => esc_html__('Select Option', 'newie'),
        'category'     => esc_html__('Category', 'newie'),
        'tags'    => esc_html__('Tags', 'newie'),
        'recent-posts'    => esc_html__('Recent Posts', 'newie'),
        'page'    => esc_html__('Page', 'newie'),
          ),
        'type' => 'select',
        'priority' => 10
    )
);




/* feature cat selection */
$wp_customize->add_setting( 'newie_theme_options[newie-feature-cat]',
 array(
            'capability'		=> 'edit_theme_options',
            'default'			=> $defaults['newie-feature-cat'],
            'sanitize_callback' => 'absint'
      ) );

$wp_customize->add_control(
    new Newie_Customize_Category_Dropdown_Control(
        $wp_customize,
        'newie_theme_options[newie-feature-cat]',
        array(
                'label'		=> __( 'Select Category', 'newie' ),
                'section'   => 'newie-feature-category',
                'settings'  => 'newie_theme_options[newie-feature-cat]',
                'type'	  	=> 'category_dropdown',
                'active_callback' => 'newie_is_category_slider_active',
                'priority'  => 10
             )
    )
);



/* feature tag selection */
$wp_customize->add_setting( 'newie_theme_options[newie-feature-tag]',
 array(
            'capability'        => 'edit_theme_options',
            'default'           => $defaults['newie-feature-tag'],
            'sanitize_callback' => 'absint'
      ) );

$wp_customize->add_control(
    new Newie_Customize_Tag_Dropdown_Control(
        $wp_customize,
        'newie_theme_options[newie-feature-tag]',
        array(
                'label'     => __( 'Select Tag', 'newie' ),
                'section'   => 'newie-feature-category',
                'settings'  => 'newie_theme_options[newie-feature-tag]',
                'type'      => 'tag_dropdown',
                'active_callback' => 'newie_is_tag_slider_active',
                'priority'  => 10
             )
    )
);



/*repeter call */
$slider_pages = array();
$slider_pages_obj = get_pages();
$slider_pages[''] = esc_html__('Select Page','newie');
foreach ($slider_pages_obj as $page) {
    $slider_pages[$page->ID] = $page->post_title;
}


$wp_customize->add_setting('newie_theme_options[newie_all_page]', array(
    'sanitize_callback'      => 'newie_sanitize_repeater',
    'default'                => json_encode(array(
        array(
             
                'selectpage' => '',//field

        )
    ))
));

$wp_customize->add_control(new Newie_Repeater_Controler($wp_customize, 'newie_theme_options[newie_all_page]', array(
        'label'                         => esc_html__('Select Page For Slider', 'newie'),
        'section'                       => 'newie-feature-category',
        'settings'                      => 'newie_theme_options[newie_all_page]',
        'newie_box_label'               => esc_html__('Slider Settings Options', 'newie'),
        'newie_box_add_control'         => esc_html__('Add New Page', 'newie'),
        'active_callback'               => 'newie_is_page_slider_active',
    ),
        array(

            'selectpage' => array(
                'type' => 'select',
                'label' => esc_html__('Select Page For Slider', 'newie'),
                'options' => $slider_pages//array
            ),
       

        )


    )

);




/**
 * Field for no of posts to display..
 *
 */

$wp_customize->add_setting(
    'newie_theme_options[newie_no_of_slider]',
    array(
        'default' => $defaults['newie_no_of_slider'],
        'sanitize_callback' => 'absint',
    )
);


$wp_customize->add_control(
    'newie_theme_options[newie_no_of_slider]',
    array(
        'type'             => 'number',
        'label'            => esc_html__('No of Slider', 'newie'),
        'section'          => 'newie-feature-category',
        'priority' => 10
    )
);



/*adding sections for category selection for promo section in homepage*/
$wp_customize->add_section( 'newie-promo-category', 
    array(
            'priority'       => 160,
            'capability'     => 'edit_theme_options',
            'title'          => __( 'Promo Section', 'newie' ),
            'panel'          => 'newie_theme_options',
            'description'    => __( 'Recommended image for col section is 600*600', 'newie' )
         ) );

/* feature cat selection */
$wp_customize->add_setting( 'newie_theme_options[newie-promo-cat]',
 array(
        'capability'		=> 'edit_theme_options',
        'default'			=> $defaults['newie-promo-cat'],
        'sanitize_callback' => 'absint'
       ) );

$wp_customize->add_control(
    new Newie_Customize_Category_Dropdown_Control(
        $wp_customize,
        'newie_theme_options[newie-promo-cat]',
        array(
            'label'		=> __( 'Select Category', 'newie' ),
            'section'   => 'newie-promo-category',
            'settings'  => 'newie_theme_options[newie-promo-cat]',
            'type'	  	=> 'category_dropdown',
            'priority'  => 10
        )
    )
);




/*adding sections for category selection for promo section in homepage*/
$wp_customize        -> add_section( 'newie-site-layout',
 array(
        'priority'       => 160,
        'capability'     => 'edit_theme_options',
        'panel'          => 'newie_theme_options',
        'title'          => __( 'Sidebar Options', 'newie' )
      ) );



/* Sidebar selection */
$wp_customize          -> add_setting( 'newie_theme_options[newie-layout]',
 array(
        'capability'		=> 'edit_theme_options',
        'default'			=> $defaults['newie-layout'],
        'sanitize_callback' => 'newie_sanitize_select'
      ) );

$choices                = newie_sidebar_layout();
$wp_customize           -> add_control('newie_theme_options[newie-layout]',
            array(
                    'choices'   => $choices,
                    'label'		=> __( 'Sidebar Position', 'newie'),
                    'section'   => 'newie-site-layout',
                    'settings'  => 'newie_theme_options[newie-layout]',
                    'type'	  	=> 'select',
                    'priority'  => 10
                 )
    );



/*adding sections for Blog Options*/

$wp_customize        -> add_section( 'newie-blog-layout',
 array(
        'priority'       => 160,
        'capability'     => 'edit_theme_options',
        'panel'          => 'newie_theme_options',
        'title'          => __( 'Blog/Archive Design Layout', 'newie' )
      ) );



 /**
     * Blog Page Title
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_blog_title_option]',
        array(
                'default' => $defaults['newie_blog_title_option'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );

    $wp_customize->add_control('newie_theme_options[newie_blog_title_option]',
        array(
                'label' => esc_html__('Blog Page Title', 'newie'),
                'section' => 'newie-blog-layout',
                'type' => 'text',
                'priority' => 10
             )
    );





  /**
     * Blog/Archive Columns Option
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_columns_option]',
        array(
                'default'           => $defaults['newie_columns_option'],
                'sanitize_callback' => 'newie_sanitize_select',
             )
    );

    $columns = newie_select_number_of_column();
    $wp_customize->add_control('newie_theme_options[newie_columns_option]',
        array(
                'choices'   => $columns,
                'label'     => esc_html__('Columns Options','newie'),
                'section'   => 'newie-blog-layout',
                'type'      => 'select',
                'priority'  => 10
             )
    );



/**
     * Description Length In Words
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_description_length_option]',
        array(
                'default' => $defaults['newie_description_length_option'],
                'sanitize_callback' => 'absint',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_description_length_option]',
        array(
                'label' => esc_html__('Description Length In Words', 'newie'),
                'section' => 'newie-blog-layout',
                'type' => 'number',
                'priority' => 11
             )
    );



 /**
     * Exclude Categories In Blog/Archive Pages
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_exclude_cat_blog_archive_option]',
        array(
                'default' => $defaults['newie_exclude_cat_blog_archive_option'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_exclude_cat_blog_archive_option]',
        array(
                'label' => esc_html__('Exclude Categories In Blog Page', 'newie'),
                'description' => esc_html__('Enter categories ids with comma separated eg: 2,7,14,47. For including all categories left blank', 'newie'),
                'section' => 'newie-blog-layout',
                'type' => 'text',
                'priority' => 13
             )
    );


    /**
     * Read More Text
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_read_more_text_blog_archive_option]',
        array(
                'default' => $defaults['newie_read_more_text_blog_archive_option'],
                'sanitize_callback' => 'sanitize_text_field',
              )
    );
    $wp_customize->add_control('newie_theme_options[newie_read_more_text_blog_archive_option]',
        array(
                'label' => esc_html__('Read More Text', 'newie'),
                'section' => 'newie-blog-layout',
                'type' => 'text',
                'priority' => 14
             )
    );


 /**
     *   Show Date
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_blog_show_date_option]',
        array(
                'default'           =>  $defaults['newie_blog_show_date_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );

    $wp_customize->add_control('newie_theme_options[newie_blog_show_date_option]',
        array(
                'label'     => esc_html__('Show Date','newie'),
                'section'   => 'newie-blog-layout',
                'type'      => 'checkbox',
                'priority'  => 14
             )
    );


 /**
     *   Show Author
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_blog_show_author_option]',
        array(
               'default'           => $defaults['newie_blog_show_author_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
              )
    );
    $wp_customize->add_control('newie_theme_options[newie_blog_show_author_option]',
        array(
                'label'      => esc_html__('Show Author','newie'),
                'section'   => 'newie-blog-layout',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );


/**
     *   Show Cats
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_blog_show_cats_option]',
        array(
                'default'           => $defaults['newie_blog_show_cats_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_blog_show_cats_option]',
        array(
                'label'      => esc_html__('Show Cats','newie'),
                'section'   => 'newie-blog-layout',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );

/**
     *   Show Tags
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_blog_show_tags_option]',
        array(
                'default' => $defaults['newie_blog_show_tags_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_blog_show_tags_option]',
        array(
                'label'      => esc_html__('Show Tags','newie'),
                'section'   => 'newie-blog-layout',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );

     /**
     *   Show Comments
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_blog_show_comments_option]',
        array(
                'default'           => $defaults['newie_blog_show_comments_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_blog_show_comments_option]',
        array(
                'label'      => esc_html__('Show Comments','newie'),
                'section'   => 'newie-blog-layout',
                'type'      => 'checkbox',
                'priority'  => 22
            )
    );




/*adding sections for Single Post*/

$wp_customize        -> add_section( 'newie-single-post-layout',
 array(
        'priority'       => 160,
        'capability'     => 'edit_theme_options',
        'panel'          => 'newie_theme_options',
        'title'          => __( 'Single Post Option', 'newie' )
      ) );


 /**
     *   Hide image in Single Post */

     $wp_customize->add_setting(
        'newie_theme_options[newie_hide_image_option]',
        array(
                'default'           => $defaults['newie_hide_image_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_hide_image_option]',
        array(
                'label'      => esc_html__('Show/Hide Detail Page Feature Image','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 8
            )
    );



  /**
     * Related Posts Title
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie-realted-post-title]',
        array(
                'default'           => $defaults['newie-realted-post-title'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie-realted-post-title]',
        array(
                'label'      => esc_html__('Related Posts Title ','newie'),
                'section'   => 'newie-single-post-layout',
                'settings'  => 'newie_theme_options[newie-realted-post-title]',
                'type'      => 'text',
                'priority'  => 10
             )
    );



/* Related post Section */
$wp_customize          -> add_setting( 'newie_theme_options[newie-realted-post]',
 array(
        'capability'        => 'edit_theme_options',
        'default'           => $defaults['newie-realted-post'],
        'sanitize_callback' => 'newie_sanitize_checkbox'
      ) );

$wp_customize           -> add_control('newie_theme_options[newie-realted-post]',
            array(
                    'label'     => __( 'Hide/Show Related Post', 'newie'),
                    'section'   => 'newie-single-post-layout',
                    'settings'  => 'newie_theme_options[newie-realted-post]',
                    'type'      => 'checkbox',
                    'priority'  => 9
                 )
    );


/**
     * Select Number Of Columns
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_select_number_of_columns_reated_post_option]',
        array(
                'default'           => $defaults['newie_select_number_of_columns_reated_post_option'],
                'sanitize_callback' => 'newie_sanitize_select',
             )
    );

    $show_no_of_column = newie_select_number_of_columns_reated_post_option();
    $wp_customize->add_control('newie_theme_options[newie_select_number_of_columns_reated_post_option]',
        array(
                'label'      => esc_html__('Select Number Of Columns','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'select',
                'choices'   =>$show_no_of_column,
                'priority'  => 10
             )
    );


 /**
     * Number of posts to show
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_number_of_post_show_option]',
        array(
                'default'           => $defaults['newie_number_of_post_show_option'],
                'sanitize_callback' => 'absint',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_number_of_post_show_option]',
        array(
                'label'      => esc_html__('Number of posts to show','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'number',
                'priority'  => 10
             )
    );


     /**
     * Number of words to show
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_number_of_word_realted]',
        array(
                'default'           => $defaults['newie_number_of_word_realted'],
                'sanitize_callback' => 'absint',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_number_of_word_realted]',
        array(
                'label'      => esc_html__('Number of words to show','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'number',
                'priority'  => 10
             )
    );



/**
     *  Show Image
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_show_image_option]',
        array(
                'default'           => $defaults['newie_show_image_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_show_image_option]',
        array(
                'label'      => esc_html__(' Show Image In Related Post','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );


 /**
     *  Show Categories
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_show_categories_option]',
        array(
                'default'           => $defaults['newie_show_categories_option'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_show_categories_option]',
        array(
                'label'      => esc_html__(' Show Categories','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );


     /**
     *  Show tag
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_show_tag_insingle_page]',
        array(
                'default'           => $defaults['newie_show_tag_insingle_page'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_show_tag_insingle_page]',
        array(
                'label'      => esc_html__(' Show Tags','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );


     /**
     *  Show Date
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_show_date_insingle_page]',
        array(
                'default'           => $defaults['newie_show_date_insingle_page'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_show_date_insingle_page]',
        array(
                'label'      => esc_html__(' Show Date','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );

      /**
     *  Show Author
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_show_author_insingle_page]',
        array(
                'default'           => $defaults['newie_show_author_insingle_page'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_show_author_insingle_page]',
        array(
                'label'      => esc_html__('Show Author','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );


     /**
     *  Show Comments
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_show_comments_insingle_page]',
        array(
                'default'           => $defaults['newie_show_comments_insingle_page'],
                'sanitize_callback' => 'newie_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('newie_theme_options[newie_show_comments_insingle_page]',
        array(
                'label'      => esc_html__('Show Comments','newie'),
                'section'   => 'newie-single-post-layout',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );



/*-------------------------------------------------------------------------------------------*/
    /**
     * Pagination Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'newie_theme_options[newie_pagination_option]',
        array(
                'title'     => esc_html__('Pagination Options','newie'),
                'panel'     => 'newie_theme_options',
                'priority'  => 170,
             )
    );

    /**
     *Pagination Options
     */
    $wp_customize->add_setting(
        'newie_theme_options[newie_post_pagination_option]',
        array(
                'default'           =>  $defaults['newie_post_pagination_option'],
                'sanitize_callback' => 'newie_sanitize_select',
                'transport' => 'refresh'
             )
    );
    $pagination_option = newie_pagination_option();
    $wp_customize->add_control('newie_theme_options[newie_post_pagination_option]',
        array(
                'label'      => esc_html__('Pagination Options','newie'),
                'description'    => sprintf( esc_html__( 'Blog and Archive Pages Pagination', 'newie' )),
                'section'   => 'newie_pagination_option',
                'type'      => 'select',
                'choices'   => $pagination_option,
                'priority'  => 12
             )
    );



/*adding sections for footer options*/

    $wp_customize-> add_section('newie-footer-option', 
        array(
                'priority'       => 170,
                'capability'     => 'edit_theme_options',
                'panel'          => 'newie_theme_options',
                'title'          => __( 'Footer Option', 'newie' )
             ) );

    /*copyright*/
  $wp_customize-> add_setting( 'newie_theme_options[newie-footer-copyright]',
      array(
                'capability'        => 'edit_theme_options',
                'default'           => $defaults['newie-footer-copyright'],
                'sanitize_callback' => 'wp_kses_post'
            ) );
   
    $wp_customize-> add_control( 'newie_theme_options[newie-footer-copyright]',
     array(
            'label'     => __( 'Copyright Text', 'newie' ),
            'section'   => 'newie-footer-option',
            'settings'  => 'newie_theme_options[newie-footer-copyright]',
            'type'      => 'text',
            'priority'  => 10
          ) );

 /*powerbytext*/
  $wp_customize-> add_setting( 'newie_theme_options[newie-footer-powerby]',
      array(
                'capability'        => 'edit_theme_options',
                'default'           => $defaults['newie-footer-powerby'],
                'sanitize_callback' => 'wp_kses_post'
            ) );
   
    $wp_customize-> add_control( 'newie_theme_options[newie-footer-powerby]',
     array(
            'label'     => __( 'Power By Text', 'newie' ),
            'section'   => 'newie-footer-option',
            'settings'  => 'newie_theme_options[newie-footer-powerby]',
            'type'      => 'text',
            'priority'  => 10
          ) );

