<?php

    /**
     * Typography Option
     *
     * @since 1.0.0
     */
    $wp_customize->add_panel(
        'newie_typography',
        array(
                'priority'       => 195,
                'capability'     => 'edit_theme_options',
                'theme_supports' => '',
                'title'          => esc_html__( 'Typography Options','newie'),
             )
    );

/*------------------------------------------------------------------
       Typography Options for Site Title
     */

  $wp_customize->add_section(
        'newie_site_title_typography_options',
        array(
                'title'   => esc_html__( 'Site Title Typography Options','newie'),
                'panel'     => 'newie_typography',
                'priority'  => 6,
              )
    );

 

$wp_customize->add_setting('newie_theme_options[newie_font_url]', array(
      'default' => $defaults['newie_font_url'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'esc_url_raw'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_font_url]', array(
       'label' => __('Google Font URL', 'newie'),
       'section' => 'newie_site_title_typography_options',
       'type'    => 'text',
       'description' => sprintf('%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
        __( 'Insert', 'newie' ),
        esc_url('https://www.google.com/fonts'),
        __('Google Font URL' , 'newie'),
        __('for embed fonts.' ,'newie')
        ),
      
    ));
    
    $wp_customize->add_setting('newie_theme_options[newie_font_family]', array(
      'default' =>  $defaults['newie_font_family'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_strip_slashes'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_font_family]', array(
       'label' => __('Font Family', 'newie'),
       'section' => 'newie_site_title_typography_options',
       'type'    => 'text',
       'description' => __( 'Insert Font Family.', 'newie' ),
      
    ));
    
    
    
  
    $wp_customize->add_setting('newie_theme_options[newie_font_size]', array(
      'default' => $defaults['newie_font_size'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_number'
    ));
    
  
    
    $wp_customize->add_control('newie_theme_options[newie_font_size]', array(
      'label' => __('Font Size', 'newie'),
      'section' => 'newie_site_title_typography_options',
      'type'    => 'number',
      'description' => __( 'Select Font Size.', 'newie' ),
      'input_attrs' => array(
        'min' => 10,
        'max' => 40,
        'step' => 1,
      ),
    ));


     $wp_customize->add_setting('newie_theme_options[newie_font_weight]', array(
      'default' =>  $defaults['newie_font_weight'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_select'
    ));
    
    $newie_font_weight = newie_font_weight();
    $wp_customize->add_control('newie_theme_options[newie_font_weight]',
     array(
      'label' => __('Font Weight', 'newie'),
      'section' => 'newie_site_title_typography_options',
      'type'    => 'select',
      'description' => __( 'Select Font Weight.', 'newie' ),
      'choices'   => $newie_font_weight,
      )
    );



 $wp_customize->add_setting('newie_theme_options[newie_font_style]', array(
      'default' =>  $defaults['newie_font_style'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_select'
    ));
    
    $newie_font_style = newie_font_style();
    $wp_customize->add_control('newie_theme_options[newie_font_style]', array(
      'label' => __('Font Style', 'newie'),
      'section' => 'newie_site_title_typography_options',
      'type'    => 'select',
      'description' => __( 'Select Font Style.', 'newie' ),
      'choices'   => $newie_font_style,
      )
    );

    
    
    $wp_customize->add_setting('newie_theme_options[newie_line_height]', array(
      'default'     =>  $defaults['newie_line_height'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_number'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_line_height]', array(
      'label' => __('Line Height', 'newie'),
      'section' => 'newie_site_title_typography_options',
      'type'    => 'number',
      'description' => __( 'Slect Line Height.', 'newie' ),
      'input_attrs' => array(
        'min' => '19',
        'max' => '70',
        'step' => '1',
      ),
    ));
    
    $wp_customize->add_setting('newie_theme_options[newie_letter_space]', array(
      'default' =>  $defaults['newie_letter_space'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_number'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_letter_space]', array(
      'label'   => __('Letter Space', 'newie'),
      'section' => 'newie_site_title_typography_options',
      'type'    => 'number',
      'description' => __( 'Select Letter Space.', 'newie' ),
      'input_attrs' => array(
        'min' => '-20',
        'max' => '4',
        'step' => '1',
      ),
    ));


/*------------------------------------------------------------------
       Typography Options for Site Description
     */

  $wp_customize->add_section(
        'newie_site_description_typography_options',
        array(
                'title'   => esc_html__( 'Site Description Typography Options','newie'),
                'panel'     => 'newie_typography',
                'priority'  => 6,
              )
    );

 

$wp_customize->add_setting('newie_theme_options[newie_site_desc_font_url]', array(
      'default' => $defaults['newie_site_desc_font_url'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'esc_url_raw'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_site_desc_font_url]', array(
       'label' => __('Google Font URL', 'newie'),
       'section' => 'newie_site_description_typography_options',
       'type'    => 'text',
       'description' => sprintf('%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
        __( 'Insert', 'newie' ),
        esc_url('https://www.google.com/fonts'),
        __('Google Font URL' , 'newie'),
        __('for embed fonts.' ,'newie')
        ),
      
    ));
    
    $wp_customize->add_setting('newie_theme_options[newie_site_desc_font_family]', array(
      'default' =>  $defaults['newie_site_desc_font_family'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_strip_slashes'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_site_desc_font_family]', array(
       'label' => __('Font Family', 'newie'),
       'section' => 'newie_site_description_typography_options',
       'type'    => 'text',
       'description' => __( 'Insert Font Family.', 'newie' ),
      
    ));
    
    
    
  
    $wp_customize->add_setting('newie_theme_options[newie_site_desc_font_size]', array(
      'default' => $defaults['newie_site_desc_font_size'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_number'
    ));
    
  
    
    $wp_customize->add_control('newie_theme_options[newie_site_desc_font_size]', array(
      'label' => __('Font Size', 'newie'),
      'section' => 'newie_site_description_typography_options',
      'type'    => 'number',
      'description' => __( 'Select Font Size.', 'newie' ),
      'input_attrs' => array(
        'min' => 10,
        'max' => 40,
        'step' => 1,
      ),
    ));


     $wp_customize->add_setting('newie_theme_options[newie_site_desc_font_weight]', array(
      'default' =>  $defaults['newie_site_desc_font_weight'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_select'
    ));
    
    $newie_font_weight = newie_font_weight();
    $wp_customize->add_control('newie_theme_options[newie_site_desc_font_weight]',
     array(
      'label' => __('Font Weight', 'newie'),
      'section' => 'newie_site_description_typography_options',
      'type'    => 'select',
      'description' => __( 'Select Font Weight.', 'newie' ),
      'choices'   => $newie_font_weight,
      )
    );



 $wp_customize->add_setting('newie_theme_options[newie_site_desc_font_style]', array(
      'default' =>  $defaults['newie_site_desc_font_style'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_select'
    ));
    
    $newie_font_style = newie_font_style();
    $wp_customize->add_control('newie_theme_options[newie_site_desc_font_style]', array(
      'label' => __('Font Style', 'newie'),
      'section' => 'newie_site_description_typography_options',
      'type'    => 'select',
      'description' => __( 'Select Font Style.', 'newie' ),
      'choices'   => $newie_font_style,
      )
    );

    
    
    $wp_customize->add_setting('newie_theme_options[newie_site_desc_line_height]', array(
      'default'     =>  $defaults['newie_site_desc_line_height'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_number'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_site_desc_line_height]', array(
      'label' => __('Line Height', 'newie'),
      'section' => 'newie_site_description_typography_options',
      'type'    => 'number',
      'description' => __( 'Slect Line Height.', 'newie' ),
      'input_attrs' => array(
        'min' => '19',
        'max' => '70',
        'step' => '1',
      ),
    ));
    
    $wp_customize->add_setting('newie_theme_options[newie_site_desc_letter_space]', array(
      'default' =>  $defaults['newie_site_desc_letter_space'],
      'transport'   => 'refresh',
      'sanitize_callback' => 'newie_sanitize_number'
    ));
    
    $wp_customize->add_control('newie_theme_options[newie_site_desc_letter_space]', array(
      'label'   => __('Letter Space', 'newie'),
      'section' => 'newie_site_description_typography_options',
      'type'    => 'number',
      'description' => __( 'Select Letter Space.', 'newie' ),
      'input_attrs' => array(
        'min' => '-20',
        'max' => '4',
        'step' => '1',
      ),
    ));


  /*------------------------------------------------------------------
         Typography Options for Menu
       */

    $wp_customize->add_section(
          'newie_menu_typography_options',
          array(
                  'title'   => esc_html__( 'Menu Typography Options','newie'),
                  'panel'     => 'newie_typography',
                  'priority'  => 6,
                )
      );

   

  $wp_customize->add_setting('newie_theme_options[newie_menu_font_url]', array(
        'default' => $defaults['newie_menu_font_url'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'esc_url_raw'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_menu_font_url]', array(
         'label' => __('Google Font URL', 'newie'),
         'section' => 'newie_menu_typography_options',
         'type'    => 'text',
         'description' => sprintf('%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
          __( 'Insert', 'newie' ),
          esc_url('https://www.google.com/fonts'),
          __('Google Font URL' , 'newie'),
          __('for embed fonts.' ,'newie')
          ),
        
      ));
      
      $wp_customize->add_setting('newie_theme_options[newie_menu_font_family]', array(
        'default' =>  $defaults['newie_menu_font_family'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_strip_slashes'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_menu_font_family]', array(
         'label' => __('Font Family', 'newie'),
         'section' => 'newie_menu_typography_options',
         'type'    => 'text',
         'description' => __( 'Insert Font Family.', 'newie' ),
        
      ));
      
      
      
    
      $wp_customize->add_setting('newie_theme_options[newie_menu_font_size]', array(
        'default' => $defaults['newie_menu_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
    
      
      $wp_customize->add_control('newie_theme_options[newie_menu_font_size]', array(
        'label' => __('Font Size', 'newie'),
        'section' => 'newie_menu_typography_options',
        'type'    => 'number',
        'description' => __( 'Select Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 40,
          'step' => 1,
        ),
      ));


       $wp_customize->add_setting('newie_theme_options[newie_menu_font_weight]', array(
        'default' =>  $defaults['newie_menu_font_weight'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_select'
      ));
      
      $newie_font_weight = newie_font_weight();
      $wp_customize->add_control('newie_theme_options[newie_menu_font_weight]',
       array(
        'label' => __('Font Weight', 'newie'),
        'section' => 'newie_menu_typography_options',
        'type'    => 'select',
        'description' => __( 'Select Font Weight.', 'newie' ),
        'choices'   => $newie_font_weight,
        )
      );



   $wp_customize->add_setting('newie_theme_options[newie_menu_font_style]', array(
        'default' =>  $defaults['newie_menu_font_style'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_select'
      ));
      
      $newie_font_style = newie_font_style();
      $wp_customize->add_control('newie_theme_options[newie_menu_font_style]', array(
        'label' => __('Font Style', 'newie'),
        'section' => 'newie_menu_typography_options',
        'type'    => 'select',
        'description' => __( 'Select Font Style.', 'newie' ),
        'choices'   => $newie_font_style,
        )
      );

      
      
      $wp_customize->add_setting('newie_theme_options[newie_menu_line_height]', array(
        'default'     =>  $defaults['newie_menu_line_height'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_menu_line_height]', array(
        'label' => __('Line Height', 'newie'),
        'section' => 'newie_menu_typography_options',
        'type'    => 'number',
        'description' => __( 'Slect Line Height.', 'newie' ),
        'input_attrs' => array(
          'min' => '19',
          'max' => '70',
          'step' => '1',
        ),
      ));
      
      $wp_customize->add_setting('newie_theme_options[newie_menu_letter_space]', array(
        'default' =>  $defaults['newie_menu_letter_space'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_menu_letter_space]', array(
        'label'   => __('Letter Space', 'newie'),
        'section' => 'newie_menu_typography_options',
        'type'    => 'number',
        'description' => __( 'Select Letter Space.', 'newie' ),
        'input_attrs' => array(
          'min' => '-20',
          'max' => '4',
          'step' => '1',
        ),
      ));




/*------------------------------------------------------------------
         Typography Options for paragraph
       */

    $wp_customize->add_section(
          'newie_paragraph_typography_options',
          array(
                  'title'   => esc_html__( 'Paragraph Typography Options','newie'),
                  'panel'     => 'newie_typography',
                  'priority'  => 6,
                )
      );

   

  $wp_customize->add_setting('newie_theme_options[newie_paragraph_font_url]', array(
        'default'           =>  $defaults['newie_paragraph_font_url'],
        'transport'         => 'refresh',
        'sanitize_callback' => 'esc_url_raw'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_paragraph_font_url]', array(
         'label' => __('Google Font URL', 'newie'),
         'section' => 'newie_paragraph_typography_options',
         'type'    => 'text',
         'description' => sprintf('%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
          __( 'Insert', 'newie' ),
          esc_url('https://www.google.com/fonts'),
          __('Google Font URL' , 'newie'),
          __('for embed fonts.' ,'newie')
          ),
        
      ));
      
      $wp_customize->add_setting('newie_theme_options[newie_paragraph_font_family]', array(
        'default' =>  $defaults['newie_paragraph_font_family'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_strip_slashes'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_paragraph_font_family]', array(
         'label' => __('Font Family', 'newie'),
         'section' => 'newie_paragraph_typography_options',
         'type'    => 'text',
         'description' => __( 'Insert Font Family.', 'newie' ),
        
      ));
      
      
      
    
      $wp_customize->add_setting('newie_theme_options[newie_paragraph_font_size]', array(
        'default' => $defaults['newie_paragraph_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
    
      
      $wp_customize->add_control('newie_theme_options[newie_paragraph_font_size]', array(
        'label' => __('Font Size', 'newie'),
        'section' => 'newie_paragraph_typography_options',
        'type'    => 'number',
        'description' => __( 'Select Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 40,
          'step' => 1,
        ),
      ));


       $wp_customize->add_setting('newie_theme_options[newie_paragraph_font_weight]', array(
        'default' =>  $defaults['newie_paragraph_font_weight'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_select'
      ));
      
      $newie_font_weight = newie_font_weight();
      $wp_customize->add_control('newie_theme_options[newie_paragraph_font_weight]',
       array(
        'label' => __('Font Weight', 'newie'),
        'section' => 'newie_paragraph_typography_options',
        'type'    => 'select',
        'description' => __( 'Select Font Weight.', 'newie' ),
        'choices'   => $newie_font_weight,
        )
      );



   $wp_customize->add_setting('newie_theme_options[newie_paragraph_font_style]', array(
        'default' =>  $defaults['newie_paragraph_font_style'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_select'
      ));
      
      $newie_font_style = newie_font_style();
      $wp_customize->add_control('newie_theme_options[newie_paragraph_font_style]', array(
        'label' => __('Font Style', 'newie'),
        'section' => 'newie_paragraph_typography_options',
        'type'    => 'select',
        'description' => __( 'Select Font Style.', 'newie' ),
        'choices'   => $newie_font_style,
        )
      );

      
      
      $wp_customize->add_setting('newie_theme_options[newie_paragraph_line_height]', array(
        'default'     =>  $defaults['newie_paragraph_line_height'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_paragraph_line_height]', array(
        'label' => __('Line Height', 'newie'),
        'section' => 'newie_paragraph_typography_options',
        'type'    => 'number',
        'description' => __( 'Slect Line Height.', 'newie' ),
        'input_attrs' => array(
          'min' => '19',
          'max' => '70',
          'step' => '1',
        ),
      ));
      
      $wp_customize->add_setting('newie_theme_options[newie_paragraph_letter_space]', array(
        'default' =>  $defaults['newie_paragraph_letter_space'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_paragraph_letter_space]', array(
        'label'   => __('Letter Space', 'newie'),
        'section' => 'newie_paragraph_typography_options',
        'type'    => 'number',
        'description' => __( 'Select Letter Space.', 'newie' ),
        'input_attrs' => array(
          'min' => '-20',
          'max' => '4',
          'step' => '1',
        ),
      ));


/*------------------------------------------------------------------
         Typography Options for Heading
       */

    $wp_customize->add_section(
          'newie_heading_font_options',
          array(
                  'title'   => esc_html__( 'Heading Fonts Options','newie'),
                  'panel'     => 'newie_typography',
                  'priority'  => 6,
                )
      );

   

  $wp_customize->add_setting('newie_theme_options[newie_heading_font_url]', array(
        'default' => $defaults['newie_heading_font_url'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'esc_url_raw'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_heading_font_url]', array(
         'label' => __('Google Font URL', 'newie'),
         'section' => 'newie_heading_font_options',
         'type'    => 'text',
         'description' => sprintf('%1$s <a href="%2$s" target="_blank">%3$s</a> %4$s',
          __( 'Insert', 'newie' ),
          esc_url('https://www.google.com/fonts'),
          __('Google Font URL' , 'newie'),
          __('for embed fonts.' ,'newie')
          ),
        
      ));
      
      $wp_customize->add_setting('newie_theme_options[newie_heading_font_family]', array(
        'default' =>  $defaults['newie_heading_font_family'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_strip_slashes'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_heading_font_family]', array(
         'label' => __('Font Family', 'newie'),
         'section' => 'newie_heading_font_options',
         'type'    => 'text',
         'description' => __( 'Insert Font Family.', 'newie' ),
        
      ));
      
      
    
      $wp_customize->add_setting('newie_theme_options[newie_h1_font_size]', array(
        'default' => $defaults['newie_h1_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_h1_font_size]', array(
        'label' => __('H1 Font Size', 'newie'),
        'section' => 'newie_heading_font_options',
        'type'    => 'number',
        'description' => __( 'Select H1 Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 60,
          'step' => 1,
        ),
      ));



      $wp_customize->add_setting('newie_theme_options[newie_h2_font_size]', array(
        'default' => $defaults['newie_h2_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_h2_font_size]', array(
        'label' => __('H2 Font Size', 'newie'),
        'section' => 'newie_heading_font_options',
        'type'    => 'number',
        'description' => __( 'Select H2 Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 60,
          'step' => 1,
        ),
      ));


       $wp_customize->add_setting('newie_theme_options[newie_h3_font_size]', array(
        'default' => $defaults['newie_h3_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_h3_font_size]', array(
        'label' => __('H3 Font Size', 'newie'),
        'section' => 'newie_heading_font_options',
        'type'    => 'number',
        'description' => __( 'Select H3 Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 60,
          'step' => 1,
        ),
      ));


 $wp_customize->add_setting('newie_theme_options[newie_h4_font_size]', array(
        'default' => $defaults['newie_h4_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_h4_font_size]', array(
        'label' => __('H4 Font Size', 'newie'),
        'section' => 'newie_heading_font_options',
        'type'    => 'number',
        'description' => __( 'Select H4 Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 60,
          'step' => 1,
        ),
      ));


      $wp_customize->add_setting('newie_theme_options[newie_h5_font_size]', array(
        'default' => $defaults['newie_h5_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_h5_font_size]', array(
        'label' => __('H5 Font Size', 'newie'),
        'section' => 'newie_heading_font_options',
        'type'    => 'number',
        'description' => __( 'Select H5 Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 60,
          'step' => 1,
        ),
      ));


       $wp_customize->add_setting('newie_theme_options[newie_h6_font_size]', array(
        'default' => $defaults['newie_h6_font_size'],
        'transport'   => 'refresh',
        'sanitize_callback' => 'newie_sanitize_number'
      ));
      
      $wp_customize->add_control('newie_theme_options[newie_h6_font_size]', array(
        'label' => __('H6 Font Size', 'newie'),
        'section' => 'newie_heading_font_options',
        'type'    => 'number',
        'description' => __( 'Select H6 Font Size.', 'newie' ),
        'input_attrs' => array(
          'min' => 10,
          'max' => 60,
          'step' => 1,
        ),
      ));

