<?php
/**
* Select Images according to Category saved.
*
* @since Newie 1.0.0
*
* @param null
* @return null
*
*/
if ( !function_exists('newie_slider_images_selection') ) :
  function newie_slider_images_selection() 
  { 
        global $newie_theme_options;

        $category_name=$newie_theme_options['newie-feature-cat'];

        $category_name          = $newie_theme_options['newie-feature-cat'];
        
        $tag_name               = $newie_theme_options['newie-feature-tag'];

        $page_name              = $newie_theme_options['newie_all_page'];

        $selected_opt           = $newie_theme_options['slider-options'];

        $no_of_post             = $newie_theme_options['newie_no_of_slider'];

        if( $selected_opt == 'category' )
        {
             $args = array( 'cat' => $category_name , 'posts_per_page' =>  $no_of_post   );
        }
        elseif ( $selected_opt == 'tags' ) {
         
            $args = array( 'tag_id' =>  $tag_name , 'posts_per_page' =>   $no_of_post   );
        }
        elseif ( $selected_opt == 'recent-posts' ) {
                  $args = array( 'post_type' => 'post' , 'posts_per_page' =>   $no_of_post   );
        }


        $query = new WP_Query($args);

        if($query->have_posts()):

          while($query->have_posts()):

           $query->the_post();
           if(has_post_thumbnail())
              {

                   $image_id = get_post_thumbnail_id();
                   $image_url = wp_get_attachment_image_src($image_id,'',true);
?>
                  <div class="feature-area">
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($image_url[0]);?>" alt=""></a>
                       <div class="feature-description text-center">
                          <figcaption>
                              <?php get_the_author(); ?>

                              <?php 
                                $categories = get_the_category();
                                if ( ! empty( $categories ) ) 
                                {
                                    echo esc_html( $categories[0]->name );   
                                }
                              ?>
                              <h2><?php the_title(); ?></h2>
                              <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('Read More...','newie') ?></a>
                          </figcaption>

                       </div>
                  </div>
          

<?php 
              }
          endwhile; endif;wp_reset_postdata();
 }
endif;



if ( !function_exists('newie_page_slider_images_selection') ) :
  function newie_page_slider_images_selection() 
  { 


        global $newie_theme_options;

        $page_name              = $newie_theme_options['newie_all_page'];

        $no_of_post             = $newie_theme_options['newie_no_of_slider'];

        
       $all_slider = wp_kses_post($newie_theme_options['newie_all_page']);

        
         if (!empty($all_slider)) 
       
         {
       
          $banner_slider = json_decode($all_slider);

          foreach ($banner_slider as $slider) {
       
            $slider_page_id = $slider->selectpage;
       
           if (!empty($slider_page_id)) {
       
            $slider_page = new WP_Query('page_id=' . $slider_page_id);
 
          if($slider_page->have_posts()):

          while($slider_page->have_posts()):

           $slider_page->the_post();
        
           if(has_post_thumbnail())
            
              {

                   $image_id = get_post_thumbnail_id();
                   $image_url = wp_get_attachment_image_src($image_id,'',true);
?>
                  <div class="feature-area">
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($image_url[0]);?>" alt=""></a>
                       <div class="feature-description text-center">
                          <figcaption>
                              <?php get_the_author(); ?>

                              <?php 
                                $categories = get_the_category();
                                if ( ! empty( $categories ) ) 
                                {
                                    echo esc_html( $categories[0]->name );   
                                }
                              ?>
                              <h2><?php the_title(); ?></h2>
                              <a href="<?php the_permalink(); ?>" class="read-more"><?php _e('Read More...','newie') ?></a>
                          </figcaption>

                       </div>
                  </div>
          

<?php 
              }
          endwhile; endif;wp_reset_postdata();
   }

  }
 }
}
endif;




/*
* Remove [...] from default fallback excerpt content
*
*/
function newie_excerpt_more( $more ) {
	if(is_admin())
	{
		return $more;
	}
	return '';
}
add_filter( 'excerpt_more', 'newie_excerpt_more');


?>